package kr.co.nervteam.api.controller;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Collection;
import java.util.Date;

import kr.co.nervteam.api.dao.CostsDao;
import kr.co.nervteam.api.vo.OutVo;

public class CostsController extends BaseController {
	private CostsDao dao;

	public void setDao(CostsDao dao) {
		this.dao = dao;
	}

	@Override
	public void performTask(OutVo outVo)
			throws Exception {
		// 입력 파라미터
		Integer prodId = parseInt(outVo.getInVo().getParam("prod"));
		Integer promoId = parseInt(outVo.getInVo().getParam("promo"));
		Date timeId = null;
		Integer channelId = parseInt(outVo.getInVo().getParam("channel"));
		
		int firstResult = (outVo.getInVo().getPage() - 1) * outVo.getInVo().getRow();
		int maxResults = outVo.getInVo().getRow();

		// time_id
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		try {
			if(outVo.getInVo().getParam("time") != null) {
				timeId = sdf.parse(outVo.getInVo().getParam("time"));
			}
		} catch (ParseException e) {
			throw new Exception("'time'은 'yyyy-mm-dd' 형식으로 입력하세요.");
		}
				
		// select query
		Collection<Object> data = dao.select(prodId, timeId, promoId, channelId, firstResult, maxResults);
		// select 한 데이터를 outVo에 set
		outVo.setData(data);
	}
	
}