package kr.co.nervteam.api.controller;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Collection;
import java.util.Date;

import kr.co.nervteam.api.dao.TimesDao;
import kr.co.nervteam.api.vo.OutVo;

public class TimesController extends BaseController {
	private TimesDao dao;

	public void setDao(TimesDao dao) {
		this.dao = dao;
	}

	@Override
	public void performTask(OutVo outVo)
			throws Exception {
		// 입력 파라미터
		Date timeId = null;

		int firstResult = (outVo.getInVo().getPage() - 1) * outVo.getInVo().getRow();
		int maxResults = outVo.getInVo().getRow();

		// time_id
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		try {
			if(outVo.getInVo().getParam("id") != null) {
				timeId = sdf.parse(outVo.getInVo().getParam("id"));
			}
		} catch (ParseException e) {
			throw new Exception("'id'는 'yyyy-mm-dd' 형식으로 입력하세요.");
		}
				
		// select query
		Collection<Object> data = dao.select(timeId, firstResult, maxResults);
		// select 한 데이터를 outVo에 set
		outVo.setData(data);
	}
	
}