package kr.co.nervteam.api.dao.impl;

import java.util.Collection;
import java.util.Date;

import org.hibernate.HibernateException;
import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Restrictions;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import kr.co.nervteam.api.dao.CostsDao;
import kr.co.nervteam.api.model.Costs;

public class CostsDaoHibernate extends HibernateDaoSupport implements CostsDao {
	@SuppressWarnings("unchecked")
	@Override
	public Collection<Object> select(Integer prodId, Date timeId, Integer promoId,
			Integer channelId, Integer firstResult, Integer maxResults) throws HibernateException {
		// from sh_costs
		DetachedCriteria c = DetachedCriteria.forClass(Costs.class);
		// prod_id = ?
		if (prodId != null) {
			c.add(Restrictions.eq("prodId", prodId));
		}
		// time_id = ?
		if (timeId != null) {
			c.add(Restrictions.eq("timeId", timeId));
		}
		// promo_id = ?
		if (promoId != null) {
			c.add(Restrictions.eq("promoId", promoId));
		}
		// channel_id = ?
		if (channelId != null) {
			c.add(Restrictions.eq("channelId", channelId));
		}
		// execute
		return getHibernateTemplate().findByCriteria(c, firstResult, maxResults);
	}

}
