package kr.co.nervteam.api.dao.impl;

import java.util.Collection;

import org.hibernate.HibernateException;
import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Restrictions;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import kr.co.nervteam.api.dao.CountriesDao;
import kr.co.nervteam.api.model.Countries;

public class CountriesDaoHibernate extends HibernateDaoSupport implements CountriesDao {
	@SuppressWarnings("unchecked")
	@Override
	public Collection<Object> select(Integer countryId, Integer regionId, Integer firstResult,
			Integer maxResults) throws HibernateException {
		// from sh_countries
		DetachedCriteria c = DetachedCriteria.forClass(Countries.class);
		// country_id = ?
		if (countryId != null) {
			c.add(Restrictions.eq("countryId", countryId));
		}
		// region_id = ?
		if (regionId != null) {
			c.add(Restrictions.eq("countryRegionId", regionId));
		}
		// execute
		return getHibernateTemplate().findByCriteria(c, firstResult, maxResults);
	}

}
