package kr.co.nervteam.api.dao.impl;

import java.util.Collection;

import org.hibernate.HibernateException;
import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Restrictions;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import kr.co.nervteam.api.dao.CustomersDao;
import kr.co.nervteam.api.model.Customers;

public class CustomersDaoHibernate extends HibernateDaoSupport implements CustomersDao {
	@SuppressWarnings("unchecked")
	@Override
	public Collection<Object> select(Integer custId, Integer countryId, Integer firstResult, Integer maxResults) throws HibernateException {
		// from sh_customers
		DetachedCriteria c = DetachedCriteria.forClass(Customers.class);
		// cust_id = ?
		if (custId != null) {
			c.add(Restrictions.idEq(custId));
		}
		// time_id = ?
		if (countryId != null) {
			c.add(Restrictions.eq("countryId", countryId));
		}
		// execute
		return getHibernateTemplate().findByCriteria(c, firstResult, maxResults);
	}

}
