package kr.co.nervteam.api.dao.impl;

import java.util.Collection;
import java.util.Date;

import org.hibernate.HibernateException;
import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Restrictions;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import kr.co.nervteam.api.dao.SalesDao;
import kr.co.nervteam.api.model.Sales;

public class SalesDaoHibernate extends HibernateDaoSupport implements SalesDao {
	@SuppressWarnings("unchecked")
	@Override
	public Collection<Object> select(Integer prodId, Integer custId, Date timeId,
			Integer channelId, Integer promoId, Integer firstResult, Integer maxResults)
			throws HibernateException {
		// from sh_sales
		DetachedCriteria c = DetachedCriteria.forClass(Sales.class);
		// prod_id = ?
		if (prodId != null) {
			c.add(Restrictions.eq("prodId", prodId));
		}
		// cust_id = ?
		if (custId != null) {
			c.add(Restrictions.eq("custId", custId));
		}
		// time_id = ?
		if (timeId != null) {
			c.add(Restrictions.eq("timeId", timeId));
		}
		// channel_id = ?
		if (channelId != null) {
			c.add(Restrictions.eq("channelId", channelId));
		}
		// promo_id = ?
		if (promoId != null) {
			c.add(Restrictions.eq("promoId", promoId));
		}
		
		// execute
		return getHibernateTemplate().findByCriteria(c, firstResult, maxResults);
	}

}
