<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="json" uri="http://www.atg.com/taglibs/json" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<json:object>
	<c:import url="request.jsp" />
	<c:import url="response.jsp" />
	<json:array name="data" var="d" items="${outVo.data}">
		<json:object>
			<json:property name="timeid"><fmt:formatDate value="${d.timeId}" pattern="yyyy-MM-dd" /></json:property>
			<json:property name="dayName" value="${d.dayName}" />
			<json:property name="dayNumberInWeek" value="${d.dayNumberInWeek}" />
			<json:property name="dayNumberInMonth" value="${d.dayNumberInMonth}" />
			<json:property name="weekEndingDayId" value="${d.weekEndingDayId}" />
			<json:property name="weekEndingDay" value="${d.weekEndingDay}" />
			<json:object name="calendar">
				<json:property name="id" value="${d.calendarMonthId}" />
				<json:property name="name" value="${d.calendarMonthName}" />
				<json:property name="desc" value="${d.calendarMonthDesc}" />
				<json:property name="weekNumber" value="${d.calendarWeekNumber}" />
				<json:property name="monthNumber" value="${d.calendarMonthNumber}" />
				<json:property name="daysInMonth" value="${d.daysInCalMonth}" />
				<json:property name="endOfMonth"><fmt:formatDate value="${d.endOfCalMonth}" pattern="yyyy-MM-dd" /></json:property>
				<json:object name="quarter">
					<json:property name="id" value="${d.calendarQuarterId}" />
					<json:property name="desc" value="${d.calendarQuarterDesc}" />
					<json:property name="daysInQuarter" value="${d.daysInCalQuarter}" />
					<json:property name="endOfQuarter"><fmt:formatDate value="${d.endOfCalQuarter}" pattern="yyyy-MM-dd" /></json:property>
					<json:property name="calendarNumber" value="${d.calendarQuarterNumber}" />
				</json:object>
				<json:property name="yearId" value="${d.calendarYearId}" />
				<json:property name="year" value="${d.calendarYear}" />
				<json:property name="daysInYear" value="${d.daysInCalYear}" />
				<json:property name="endOfYear" value="${d.endOfCalYear}" />
			</json:object>
			<json:object name="fiscal">
				<json:property name="id" value="${d.fiscalMonthId}" />
				<json:property name="name" value="${d.fiscalMonthName}" />
				<json:property name="desc" value="${d.fiscalMonthDesc}" />
				<json:property name="weekNumber" value="${d.fiscalWeekNumber}" />
				<json:property name="monthNumber" value="${d.fiscalMonthNumber}" />
				<json:property name="daysInMonth" value="${d.daysInFisMonth}" />
				<json:property name="endOfMonth"><fmt:formatDate value="${d.endOfFisMonth}" pattern="yyyy-MM-dd" /></json:property>
				<json:object name="quarter">
					<json:property name="id" value="${d.fiscalQuarterId}" />
					<json:property name="desc" value="${d.fiscalQuarterDesc}" />
					<json:property name="daysInQuarter" value="${d.daysInFisQuarter}" />
					<json:property name="endOfQuarter"><fmt:formatDate value="${d.endOfFisQuarter}" pattern="yyyy-MM-dd" /></json:property>
					<json:property name="calendarNumber" value="${d.fiscalQuarterNumber}" />
				</json:object>
				<json:property name="yearId" value="${d.fiscalYearId}" />
				<json:property name="year" value="${d.fiscalYear}" />
				<json:property name="daysInYear" value="${d.daysInFisYear}" />
				<json:property name="endOfYear" value="${d.endOfFisYear}" />
			</json:object>
		</json:object>
	</json:array>
</json:object>