<?xml version="1.0" encoding="UTF-8" ?>
<%@ page language="java" contentType="text/xml; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<salesHistory>
	<c:import url="request.jsp" />
	<c:import url="response.jsp" />
	<data elementCount="${fn:length(outVo.data)}">
		<c:forEach var="d" items="${outVo.data}">
		<product id="${d.prodId}">
			<name><c:out value="${d.prodName}" escapeXml="true" /></name>
			<desc><c:out value="${d.prodDesc}" escapeXml="true" /></desc>
			<subCategory id="${d.prodSubCategoryId}">
				<name><c:out value="${d.prodSubCategory}" escapeXml="true" /></name>
				<desc><c:out value="${d.prodSubCategoryDesc}" escapeXml="true" /></desc>
			</subCategory>
			<category id="${d.prodCategoryId}">
				<name><c:out value="${d.prodCategory}" escapeXml="true" /></name>
				<desc><c:out value="${d.prodCategoryDesc}" escapeXml="true" /></desc>
			</category>
			<weightClass><c:out value="${d.prodWeightClass}" escapeXml="true" /></weightClass>
			<unitOfMeasure><c:out value="${d.prodUnitOfMeasure}" escapeXml="true" /></unitOfMeasure>
			<packSize><c:out value="${d.prodPackSize}" escapeXml="true" /></packSize>
			<supplierId><c:out value="${d.supplierId}" escapeXml="true" /></supplierId>
			<status><c:out value="${d.prodStatus}" escapeXml="true" /></status>
			<price>
				<list><c:out value="${d.prodListPrice}" escapeXml="true" /></list>
				<min><c:out value="${d.prodMinPrice}" escapeXml="true" /></min>
			</price>
			<total><c:out value="${d.prodTotal}" escapeXml="true" /></total>
			<totalId><c:out value="${d.prodTotalId}" escapeXml="true" /></totalId>
			<srcId><c:out value="${d.prodSrcId}" escapeXml="true" /></srcId>
			<eff>
				<from><fmt:formatDate value="${d.prodEffFrom}" pattern="yyyy-MM-dd" /></from>
				<to><fmt:formatDate value="${d.prodEffTo}" pattern="yyyy-MM-dd" /></to>
			</eff>
			<valid><c:out value="${d.prodValid}" escapeXml="true" /></valid>
		</product>
		</c:forEach>
	</data>
</salesHistory>