<?xml version="1.0" encoding="UTF-8" ?>
<%@ page language="java" contentType="text/xml; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<salesHistory>
	<c:import url="request.jsp" />
	<c:import url="response.jsp" />
	<data elementCount="${fn:length(outVo.data)}">
		<c:forEach var="d" items="${outVo.data}">
		<time id="${d.timeId}">
			<dayName><c:out value="${d.dayName}" escapeXml="true" /></dayName>
			<dayNumberInWeek><c:out value="${d.dayNumberInWeek}" escapeXml="true" /></dayNumberInWeek>
			<dayNumberInMonth><c:out value="${d.dayNumberInMonth}" escapeXml="true" /></dayNumberInMonth>
			<weekEndingDay id="${d.weekEndingDayId}"><c:out value="${d.weekEndingDay}" escapeXml="true" /></weekEndingDay>
			<calendar id="${d.calendarMonthId}" name="${d.calendarMonthName}" desc="${d.calendarMonthDesc}">
				<weekNumber><c:out value="${d.calendarWeekNumber}" escapeXml="true" /></weekNumber>
				<monthNumber><c:out value="${d.calendarMonthNumber}" escapeXml="true" /></monthNumber>
				<daysInMonth><c:out value="${d.daysInCalMonth}" escapeXml="true" /></daysInMonth>
				<endOfMonth><fmt:formatDate value="${d.endOfCalMonth}" pattern="yyyy-MM-dd" /></endOfMonth>
				<quarter id="${d.calendarQuarterId}" desc="${d.calendarQuarterDesc}">
					<daysInQuarter><c:out value="${d.daysInCalQuarter}" escapeXml="true" /></daysInQuarter>
					<endOfQuarter><fmt:formatDate value="${d.endOfCalQuarter}" pattern="yyyy-MM-dd" /></endOfQuarter>
					<calendarNumber><c:out value="${d.calendarQuarterNumber}" escapeXml="true" /></calendarNumber>
				</quarter>
				<year id="${d.calendarYearId}"><c:out value="${d.calendarYearId}" escapeXml="true" /></year>
				<daysInYear><c:out value="${d.daysInCalYear}" escapeXml="true" /></daysInYear>
				<endOfYear><c:out value="${d.endOfCalYear}" escapeXml="true" /></endOfYear>
			</calendar>
			<fiscal id="${d.fiscalMonthId}" name="${d.fiscalMonthName}" desc="${d.fiscalMonthDesc}">
				<weekNumber><c:out value="${d.fiscalWeekNumber}" escapeXml="true" /></weekNumber>
				<monthNumber><c:out value="${d.fiscalMonthNumber}" escapeXml="true" /></monthNumber>
				<daysInMonth><c:out value="${d.daysInFisMonth}" escapeXml="true" /></daysInMonth>
				<endOfMonth><fmt:formatDate value="${d.endOfFisMonth}" pattern="yyyy-MM-dd" /></endOfMonth>
				<quarter id="${d.fiscalQuarterId}" desc="${d.fiscalQuarterDesc}">
					<daysInQuarter><c:out value="${d.daysInFisQuarter}" escapeXml="true" /></daysInQuarter>
					<endOfQuarter><fmt:formatDate value="${d.endOfFisQuarter}" pattern="yyyy-MM-dd" /></endOfQuarter>
					<calendarNumber><c:out value="${d.fiscalQuarterNumber}" escapeXml="true" /></calendarNumber>
				</quarter>
				<year id="${d.fiscalYearId}"><c:out value="${d.fiscalYearId}" escapeXml="true" /></year>
				<daysInYear><c:out value="${d.daysInFisYear}" escapeXml="true" /></daysInYear>
				<endOfYear><c:out value="${d.endOfFisYear}" escapeXml="true" /></endOfYear>
			</fiscal>
		</time>
		</c:forEach>
	</data>
</salesHistory>